Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ModeledViewmap

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Viewmap

All Known Implementing Classes:
  ModeledViewmapImpl

    public interface ModeledViewmap

extends Viewmap

A representation of the model object 'Modeled Viewmap'. NOTE: Provisional API. Allows to use arbitrary model element to keep information about a figure. May (but not necessarily will) point to e.g. GMFGraph model elements. It's up to template author to handle specific kinds of figure models

The following features are supported:

- `Figure Model`

See Also:
  `GMFGenPackage.getModeledViewmap()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.ecore.EObject` `getFigureModel()` Returns the value of the 'Figure Model' reference
`void` `setFigureModel(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Figure Model`' reference

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.Viewmap
`find, getAttributes, getLayoutType, getRequiredPluginIDs, setLayoutType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigureModel

    org.eclipse.emf.ecore.EObject getFigureModel()

  Returns the value of the 'Figure Model' reference.

  If the meaning of the 'Figure Model' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Figure Model' reference.
  See Also:
    `setFigureModel(EObject)`, `GMFGenPackage.getModeledViewmap_FigureModel()`
  ** Generated **
  Model:
    required="true"

### setFigureModel

    void setFigureModel(org.eclipse.emf.ecore.EObject value)

  Sets the value of the '`Figure Model`' reference.

  Parameters:
    `value` - the new value of the 'Figure Model' reference.
  See Also:
    `getFigureModel()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.